summaryrefslogtreecommitdiffstats
path: root/libraries/libstrophe
diff options
context:
space:
mode:
author Pedro R.M. Júnior2015-03-05 01:02:09 +0100
committer Willy Sudiarto Raharjo2015-03-07 01:05:16 +0100
commitb4a6e141ef2e7501d138f3c31b3e4891487e4ef2 (patch)
treec6ae5a0d8504cc8adfc55ae7493f1c20270961e9 /libraries/libstrophe
parent0d8d22f6a92e9523debf0f1d42c8f50cc0a235ae (diff)
downloadslackbuilds-b4a6e141ef2e7501d138f3c31b3e4891487e4ef2.tar.gz
libraries/libstrophe: Added (An XMPP library for C).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libstrophe')
-rw-r--r--libraries/libstrophe/README4
-rw-r--r--libraries/libstrophe/libstrophe.SlackBuild101
-rw-r--r--libraries/libstrophe/libstrophe.info10
-rw-r--r--libraries/libstrophe/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/libstrophe/README b/libraries/libstrophe/README
new file mode 100644
index 0000000000..2518884004
--- /dev/null
+++ b/libraries/libstrophe/README
@@ -0,0 +1,4 @@
+libstrophe is a minimal XMPP library written in C. It has almost no
+external dependencies, only an XML parsing library (expat or libxml
+are both supported). It is designed for both POSIX and Windows
+systems.
diff --git a/libraries/libstrophe/libstrophe.SlackBuild b/libraries/libstrophe/libstrophe.SlackBuild
new file mode 100644
index 0000000000..148c770faf
--- /dev/null
+++ b/libraries/libstrophe/libstrophe.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for libstrophe
+
+# Copyright 2015 Pedro R.M. Júnior, Campinas-SP, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libstrophe
+VERSION=${VERSION:-0.8.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p m4
+# "If you are building from a source control checkout, run:"
+./bootstrap.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog *LICENSE* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libstrophe/libstrophe.info b/libraries/libstrophe/libstrophe.info
new file mode 100644
index 0000000000..c9d7057940
--- /dev/null
+++ b/libraries/libstrophe/libstrophe.info
@@ -0,0 +1,10 @@
+PRGNAM="libstrophe"
+VERSION="0.8.7"
+HOMEPAGE="http://strophe.im/libstrophe/"
+DOWNLOAD="https://github.com/strophe/libstrophe/archive/0.8.7.tar.gz"
+MD5SUM="30be74c566028b31cfbc91d11a36dce8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Pedro R.M. Júnior"
+EMAIL="pedrormjunior@gmail.com"
diff --git a/libraries/libstrophe/slack-desc b/libraries/libstrophe/slack-desc
new file mode 100644
index 0000000000..d86e9fa636
--- /dev/null
+++ b/libraries/libstrophe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libstrophe: libstrophe (An XMPP library for C)
+libstrophe:
+libstrophe: libstrophe is a minimal XMPP library written in C. It has almost no
+libstrophe: external dependencies, only an XML parsing library (expat or libxml
+libstrophe: are both supported). It is designed for both POSIX and Windows
+libstrophe: systems.
+libstrophe:
+libstrophe: Homepage: http://strophe.im/libstrophe/
+libstrophe:
+libstrophe:
+libstrophe: